module Panel::Announcement::BackEnd::BulletinsHelper
  
  def show_approval_link(bulletin)
    by_bulletin = (!bulletin.is_expired? and !bulletin.is_checked?)
    by_user = ((bulletin.bulletin_category.authed_users('fact_check').include?(current_user) rescue nil) or is_manager? or is_admin?)
    by_bulletin and  by_user
  end

end